:root {
    /* assuming logo is tallest element, then use: header padding * 2 + logo height */
    --site-header--height: calc(var(--wp--preset--spacing--medium) * 2 + 4em);
    --site-header--height-pinned: calc(1em + 2.5em);
}

.wp-block-site-header {
    margin: 0 auto;
    padding: var(--wp--preset--spacing--medium);
    position: fixed;
    top: 0;
    transition: padding 0.15s ease-in-out;
    width: 100%;
    z-index: 9999;
}

.site-header__container {
    align-items: center;
    column-gap: 3.2em; /* 60 / 18.64 */
    display: flex;
}

.site-header__logo img {
    display: block;
    height: 4em;
    transition: all 0.15s ease-in-out;
    width: auto;
}

.site-header__mobile-nav-status {
    display: none;
}

/* Account for fixed site header in content padding
--------------------------------------------- */

/* Page/post templates have a group with a defined class */
.is-page-header {
    padding-top: calc(var(--site-header--height) + var(--wp--preset--spacing--x-large)) !important;
}

/* Set default minimum height for hero area, max of 789px which is the height of the globe bg */
.page-template-page-no-title .entry-content > .wp-block-cover.alignfull {
    min-height: min(100dvh, 789px);
}

/* Set default minimum padding for hero content */
.page-template-page-no-title .entry-content > .wp-block-cover.alignfull > .wp-block-cover__inner-container {
    padding-top: calc(var(--site-header--height) + var(--wp--preset--spacing--large));
    padding-bottom: var(--wp--preset--spacing--x-large);
}

/* Pinned Header
--------------------------------------------- */

.wp-block-site-header--is-pinned {
    background-color: var(--wp--preset--color--primary);
    box-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);
    padding-bottom: 0.5em;
    padding-top: 0.5em;
}

.wp-block-site-header--is-pinned .site-header__logo {
    clip-path: inset(0 65% 0 0);
}

.wp-block-site-header--is-pinned .site-header__logo img {
    height: 2.5em;
}

/* Desktop Navigation
--------------------------------------------- */

@media (min-width: 1024px) {
    .site-header__mobile-nav-trigger {
        display: none;
    }

    /* Desktop Nav Links
    --------------------------------------------- */

    .site-header__nav {
        align-items: center;
        display: flex;
        gap: var(--wp--preset--spacing--medium);
        margin-left: auto;
    }

    .site-nav-links {
        align-items: center;
        display: flex;
        gap: var(--wp--preset--spacing--medium);
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .site-nav-links > .menu-item {
        font-size: var(--wp--preset--font-size--medium);
        margin: 0;
        position: relative;
    }

    .site-nav-links > .menu-item > a {
        color: var(--wp--preset--color--base);
        font-weight: 400;
        text-decoration: none;
    }

    .site-nav-links > .menu-item > a:hover {
        color: var(--wp--preset--color--main-accent);
    }

    /* Desktop Dropdowns
    --------------------------------------------- */

    .site-nav-links .sub-menu {
        border-bottom-left-radius: 4px;
        border-bottom-right-radius: 4px;
        box-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);
        display: none;
        list-style: none;
        min-width: 100%;
        overflow: clip;
        padding: var(--wp--preset--spacing--xx-small) 0 0;
        position: absolute;
        right: 0;
        top: 100%;
    }

    .site-nav-links .sub-menu > .menu-item {
        font-size: var(--wp--preset--font-size--small);
        margin: 0;
        white-space: nowrap;
    }

    .site-nav-links .sub-menu > .menu-item:first-child {
        border-top: 2px solid var(--wp--preset--color--main-accent);
    }

    .site-nav-links .sub-menu > .menu-item a {
        background-color: rgba(34, 51, 42, 0.75);
        color: var(--wp--preset--color--base);
        display: block;
        padding: 0.7em 6em 0.7em 1em;
        text-decoration: none;
    }

    .site-nav-links .sub-menu > .menu-item a:hover {
        background-color: rgba(34, 51, 42, 1);
    }

    .site-nav-links > .menu-item:hover .sub-menu {
        display: block;
    }
}

/* General nav styles
--------------------------------------------- */

.site-nav-links > .menu-item.menu-item-has-children > a {
    position: relative;
    padding-right: calc(0.5em + 10px);
}

.site-nav-links > .menu-item.menu-item-has-children > a::after {
    background-image: url(../../assets/images/icon-chevron-down.svg);
    background-position: 0 50%;
    background-repeat: no-repeat;
    background-size: 100% auto;
    content: "";
    filter: brightness(0) invert(1);
    position: absolute;
    right: 0;
    height: 100%;
    top: 0;
    width: 10px;
}

.site-nav-links > .menu-item.menu-item-has-children > a:hover::after {
    filter: none;
}

/* Mobile Navigation
--------------------------------------------- */

@media (max-width: 1023px) {
    /* Mobile Menu Trigger
    --------------------------------------------- */

    .site-header__mobile-nav-trigger {
        align-items: center;
        cursor: pointer;
        gap: var(--wp--preset--spacing--20);
        margin-left: auto;
        text-transform: uppercase;
        width: auto;
    }

    .site-header__mobile-nav-trigger-text {
        color: var(--wp--preset--color--base);
        font-size: 14px;
        font-weight: 600;
        line-height: 1;
    }

    .site-header__mobile-nav-burger {
        background: var(--wp--preset--color--base);
        display: block;
        height: 2px;
        position: relative;
        top: 0;
        width: 14px;
    }

    .site-header__mobile-nav-burger::before,
    .site-header__mobile-nav-burger::after {
        background: var(--wp--preset--color--base);
        content: "";
        display: block;
        height: 100%;
        position: absolute;
        top: 5px;
        transition: all 0.15s ease-in-out;
        width: 100%;
    }

    .site-header__mobile-nav-burger::after {
        top: -5px;
    }

    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger {
        background: transparent;
    }

    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger::before,
    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger::after {
        top: 0;
    }

    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger::before {
        transform: rotate(-45deg);
    }

    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger::after {
        transform: rotate(45deg);
    }

    .site-header__mobile-nav-trigger {
        display: flex;
    }

    /* Mobile Flyout Menu 
    --------------------------------------------- */

    .site-header__logo,
    .site-header__mobile-nav-trigger {
        z-index: 3;
    }

    .wp-block-site-header::before {
        content: "";
        height: 100%;
        left: 0;
        top: 0;
        position: absolute;
        width: 100%;
        z-index: 2;
    }

    .site-header__nav {
        background: var(--wp--preset--color--primary);
        box-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);
        display: block;
        left: 0;
        overflow: hidden;
        position: absolute;
        top: 100%;
        transform: translateY(calc(-200% - 5px));
        transition: transform 0.15s ease-in-out;
        width: 100%;
        z-index: 1;
    }

    .site-header__mobile-nav-status:checked ~ .site-header__nav {
        transform: translateY(0);
    }

    .site-header__nav-links {
        list-style: none;
        margin: 0;
        padding: 2em;
        text-align: right;
    }

    .site-header__nav-links > .menu-item {
        font-size: var(--wp--preset--font-size--large);
    }

    .site-header__nav-links > .menu-item > a {
        color: #fff;
        display: block;
        padding: 0.5em 0;
    }

    .site-header__nav-links > .menu-item > a:hover {
        color: var(--wp--preset--color--main-accent);
        text-decoration: none;
    }

    .site-header__nav-links .sub-menu {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .site-header__nav-links .sub-menu > .menu-item {
        font-size: var(--wp--preset--font-size--medium);
    }

    .site-header__nav-links .sub-menu > .menu-item > a {
        color: #fff;
    }

    .site-header__nav-links .sub-menu > .menu-item > a:hover {
        color: var(--wp--preset--color--main-accent);
        text-decoration: none;
    }
}

/* Search
--------------------------------------------- */

.site-header__search-status {
    display: none;
}

.site-header__search-form {
    position: relative;
}

.site-header__search-submit {
    align-items: center;
    background: transparent;
    border: 0;
    color: var(--wp--preset--color--main);
    cursor: pointer;
    display: flex;
    height: 100%;
    padding: 0 var(--wp--preset--spacing--x-small) 0 0;
    position: absolute;
    right: 0;
    top: 0;
}

.site-header__search-submit:hover {
    color: var(--wp--preset--color--main-accent);
}

.site-header__search-form-toggle {
    line-height: 1;
}

.site-header__search-form-toggle,
.site-header__search svg {
    height: 14px;
    width: 14px;
}

.site-header__search-form-toggle-icon--active svg {
    height: 18px;
    width: 18px;
}

@media (max-width: 1023px) {
    .site-header__search-form-toggle {
        display: none;
    }

    .site-header__search {
        padding: var(--wp--preset--spacing--medium) 0 0;
    }
}

@media (min-width: 1024px) {
    .site-header__nav-links {
        position: relative;
    }

    .site-header__search {
        align-items: center;
        column-gap: var(--wp--preset--spacing--small);
        display: flex;
    }

    .menu-item--search.site-header__search {
        position: static;
    }

    .site-header__search-form {
        left: 0;
        position: absolute;
        transition: width 0.15s ease-in-out;
        width: 0;
    }

    .site-header__search-form input,
    .site-header__search-form button {
        display: none;
    }

    .site-header__search-field {
        width: 100%;
    }

    .site-header__search-status:checked ~ .site-header__search-form {
        left: 0;
        width: calc(100% - 14px - var(--wp--preset--spacing--small));
    }

    .site-header__search-status:checked ~ .site-header__search-form input,
    .site-header__search-status:checked ~ .site-header__search-form button {
        display: block;
    }

    .site-header__search-form-toggle {
        color: var(--wp--preset--color--base);
        cursor: pointer;
    }

    .site-header__search-form-toggle:hover {
        color: var(--wp--preset--color--main-accent);
    }

    .site-header__search-form-toggle-icon--active,
    .site-header__search-status:checked
        ~ .site-header__search-form-toggle
        .site-header__search-form-toggle-icon--inactive {
        display: none;
    }

    .site-header__search-status:checked
        ~ .site-header__search-form-toggle
        .site-header__search-form-toggle-icon--active {
        display: block;
    }
}
